	SUBROUTINE COAST(ALT)
!
!  draws the visible portions of the coastline on the current image
!
	REAL*4		RLTLNG(2,525),TWOPI,ALAT,ALONG,DLAT,DLONG,
     &			XS,YS,ALT
	INTEGER*2	IPEN,ICOUNT,I,J,K,L
	LOGICAL*1	VIS,LVIS
!
	DATA TWOPI/6.283185/
!
!---open coastline file and prepare for plotting
	OPEN(UNIT=1,NAME='WORLD',TYPE='OLD',
     &    FORM='UNFORMATTED',BLOCKSIZE=525,READONLY)
	IPEN = 3
	ICOUNT = 525
	VIS = .FALSE.
!
!---get a point
	DO 88 J=1,16
	IF (J.EQ.16) ICOUNT = 499
	READ(1) ((RLTLNG(K,L),K=1,2),L=1,ICOUNT)
	I = 1
 61	IF (I.GT.ICOUNT) GO TO 88
	LVIS = VIS
	ALAT = AMOD(RLTLNG(1,I)+TWOPI,TWOPI)
	ALONG = RLTLNG(2,I)
	IF (ALONG.GE.0.0) GO TO 83
	ALONG = -ALONG
	IPEN = 3
!
!---convert to degrees
 83	DLAT = ALAT*57.29578
	DLONG = ALONG*57.29578
!
!---get screen coordinates and plot
	CALL GEO2VW(DLAT,DLONG,ALT,XS,YS,VIS)
	IF (.NOT.VIS) THEN
	    IPEN = 3
	    I = I + 10
	    GO TO 61
	ENDIF
	IF (.NOT.LVIS) THEN
	    IF (I.GT.10) I = I - 9
	    GO TO 61
	ENDIF
	CALL WPLOT(XS,YS,IPEN)
	IPEN = 2
	I = I + 1
	GO TO 61
!
 88	CONTINUE
!
!---close input file
	CLOSE(UNIT=1)
!
	RETURN
	END
!
